org.apache.hadoop.yarn.logaggregation

## Class AggregatedLogDeletionService

- java.lang.Object
- - org.apache.hadoop.service.AbstractService
  - - org.apache.hadoop.yarn.logaggregation.AggregatedLogDeletionService

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hadoop.service.Service

      @InterfaceAudience.LimitedPrivate(value={"yarn","mapreduce"})
      public class AggregatedLogDeletionService
      extends org.apache.hadoop.service.AbstractService

  A service that periodically deletes aggregated logs.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

      `org.apache.hadoop.service.Service.STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregatedLogDeletionService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.hadoop.conf.Configuration` | `createConf()`
    `protected org.apache.hadoop.yarn.api.ApplicationClientProtocol` | `createRMClient()`
    `long` | `getCheckIntervalMsecs()`
    `void` | `refreshLogRetentionSettings()`
    `protected void` | `serviceStart()`
    `protected void` | `serviceStop()`
    `protected void` | `stopRMClient()`

    - ### Methods inherited from class org.apache.hadoop.service.AbstractService

      `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, serviceInit, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregatedLogDeletionService

          public AggregatedLogDeletionService()

  - ### Method Detail

    - #### serviceStart

          protected void serviceStart()
                               throws Exception

      Overrides:
        `serviceStart` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

    - #### serviceStop

          protected void serviceStop()
                              throws Exception

      Overrides:
        `serviceStop` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

    - #### refreshLogRetentionSettings

          public void refreshLogRetentionSettings()
                                           throws IOException

      Throws:
        `IOException`

    - #### getCheckIntervalMsecs

          public long getCheckIntervalMsecs()

    - #### createConf

          protected org.apache.hadoop.conf.Configuration createConf()

    - #### createRMClient

          protected org.apache.hadoop.yarn.api.ApplicationClientProtocol createRMClient()
                                                                                 throws IOException

      Throws:
        `IOException`

    - #### stopRMClient

          protected void stopRMClient()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.